/*******************************************************************************
* File Name: GNDL.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GNDL_H) /* Pins GNDL_H */
#define CY_PINS_GNDL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "GNDL_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 GNDL__PORT == 15 && ((GNDL__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    GNDL_Write(uint8 value) ;
void    GNDL_SetDriveMode(uint8 mode) ;
uint8   GNDL_ReadDataReg(void) ;
uint8   GNDL_Read(void) ;
uint8   GNDL_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define GNDL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define GNDL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define GNDL_DM_RES_UP          PIN_DM_RES_UP
#define GNDL_DM_RES_DWN         PIN_DM_RES_DWN
#define GNDL_DM_OD_LO           PIN_DM_OD_LO
#define GNDL_DM_OD_HI           PIN_DM_OD_HI
#define GNDL_DM_STRONG          PIN_DM_STRONG
#define GNDL_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define GNDL_MASK               GNDL__MASK
#define GNDL_SHIFT              GNDL__SHIFT
#define GNDL_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define GNDL_PS                     (* (reg8 *) GNDL__PS)
/* Data Register */
#define GNDL_DR                     (* (reg8 *) GNDL__DR)
/* Port Number */
#define GNDL_PRT_NUM                (* (reg8 *) GNDL__PRT) 
/* Connect to Analog Globals */                                                  
#define GNDL_AG                     (* (reg8 *) GNDL__AG)                       
/* Analog MUX bux enable */
#define GNDL_AMUX                   (* (reg8 *) GNDL__AMUX) 
/* Bidirectional Enable */                                                        
#define GNDL_BIE                    (* (reg8 *) GNDL__BIE)
/* Bit-mask for Aliased Register Access */
#define GNDL_BIT_MASK               (* (reg8 *) GNDL__BIT_MASK)
/* Bypass Enable */
#define GNDL_BYP                    (* (reg8 *) GNDL__BYP)
/* Port wide control signals */                                                   
#define GNDL_CTL                    (* (reg8 *) GNDL__CTL)
/* Drive Modes */
#define GNDL_DM0                    (* (reg8 *) GNDL__DM0) 
#define GNDL_DM1                    (* (reg8 *) GNDL__DM1)
#define GNDL_DM2                    (* (reg8 *) GNDL__DM2) 
/* Input Buffer Disable Override */
#define GNDL_INP_DIS                (* (reg8 *) GNDL__INP_DIS)
/* LCD Common or Segment Drive */
#define GNDL_LCD_COM_SEG            (* (reg8 *) GNDL__LCD_COM_SEG)
/* Enable Segment LCD */
#define GNDL_LCD_EN                 (* (reg8 *) GNDL__LCD_EN)
/* Slew Rate Control */
#define GNDL_SLW                    (* (reg8 *) GNDL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define GNDL_PRTDSI__CAPS_SEL       (* (reg8 *) GNDL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define GNDL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) GNDL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define GNDL_PRTDSI__OE_SEL0        (* (reg8 *) GNDL__PRTDSI__OE_SEL0) 
#define GNDL_PRTDSI__OE_SEL1        (* (reg8 *) GNDL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define GNDL_PRTDSI__OUT_SEL0       (* (reg8 *) GNDL__PRTDSI__OUT_SEL0) 
#define GNDL_PRTDSI__OUT_SEL1       (* (reg8 *) GNDL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define GNDL_PRTDSI__SYNC_OUT       (* (reg8 *) GNDL__PRTDSI__SYNC_OUT) 


#if defined(GNDL__INTSTAT)  /* Interrupt Registers */

    #define GNDL_INTSTAT                (* (reg8 *) GNDL__INTSTAT)
    #define GNDL_SNAP                   (* (reg8 *) GNDL__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_GNDL_H */


/* [] END OF FILE */
