/*******************************************************************************
* File Name: PResistL.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PResistL_H) /* Pins PResistL_H */
#define CY_PINS_PResistL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PResistL_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PResistL__PORT == 15 && ((PResistL__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PResistL_Write(uint8 value) ;
void    PResistL_SetDriveMode(uint8 mode) ;
uint8   PResistL_ReadDataReg(void) ;
uint8   PResistL_Read(void) ;
uint8   PResistL_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PResistL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PResistL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PResistL_DM_RES_UP          PIN_DM_RES_UP
#define PResistL_DM_RES_DWN         PIN_DM_RES_DWN
#define PResistL_DM_OD_LO           PIN_DM_OD_LO
#define PResistL_DM_OD_HI           PIN_DM_OD_HI
#define PResistL_DM_STRONG          PIN_DM_STRONG
#define PResistL_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PResistL_MASK               PResistL__MASK
#define PResistL_SHIFT              PResistL__SHIFT
#define PResistL_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PResistL_PS                     (* (reg8 *) PResistL__PS)
/* Data Register */
#define PResistL_DR                     (* (reg8 *) PResistL__DR)
/* Port Number */
#define PResistL_PRT_NUM                (* (reg8 *) PResistL__PRT) 
/* Connect to Analog Globals */                                                  
#define PResistL_AG                     (* (reg8 *) PResistL__AG)                       
/* Analog MUX bux enable */
#define PResistL_AMUX                   (* (reg8 *) PResistL__AMUX) 
/* Bidirectional Enable */                                                        
#define PResistL_BIE                    (* (reg8 *) PResistL__BIE)
/* Bit-mask for Aliased Register Access */
#define PResistL_BIT_MASK               (* (reg8 *) PResistL__BIT_MASK)
/* Bypass Enable */
#define PResistL_BYP                    (* (reg8 *) PResistL__BYP)
/* Port wide control signals */                                                   
#define PResistL_CTL                    (* (reg8 *) PResistL__CTL)
/* Drive Modes */
#define PResistL_DM0                    (* (reg8 *) PResistL__DM0) 
#define PResistL_DM1                    (* (reg8 *) PResistL__DM1)
#define PResistL_DM2                    (* (reg8 *) PResistL__DM2) 
/* Input Buffer Disable Override */
#define PResistL_INP_DIS                (* (reg8 *) PResistL__INP_DIS)
/* LCD Common or Segment Drive */
#define PResistL_LCD_COM_SEG            (* (reg8 *) PResistL__LCD_COM_SEG)
/* Enable Segment LCD */
#define PResistL_LCD_EN                 (* (reg8 *) PResistL__LCD_EN)
/* Slew Rate Control */
#define PResistL_SLW                    (* (reg8 *) PResistL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PResistL_PRTDSI__CAPS_SEL       (* (reg8 *) PResistL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PResistL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PResistL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PResistL_PRTDSI__OE_SEL0        (* (reg8 *) PResistL__PRTDSI__OE_SEL0) 
#define PResistL_PRTDSI__OE_SEL1        (* (reg8 *) PResistL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PResistL_PRTDSI__OUT_SEL0       (* (reg8 *) PResistL__PRTDSI__OUT_SEL0) 
#define PResistL_PRTDSI__OUT_SEL1       (* (reg8 *) PResistL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PResistL_PRTDSI__SYNC_OUT       (* (reg8 *) PResistL__PRTDSI__SYNC_OUT) 


#if defined(PResistL__INTSTAT)  /* Interrupt Registers */

    #define PResistL_INTSTAT                (* (reg8 *) PResistL__INTSTAT)
    #define PResistL_SNAP                   (* (reg8 *) PResistL__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PResistL_H */


/* [] END OF FILE */
