/*******************************************************************************
* File Name: PResistR.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PResistR_H) /* Pins PResistR_H */
#define CY_PINS_PResistR_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PResistR_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PResistR__PORT == 15 && ((PResistR__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PResistR_Write(uint8 value) ;
void    PResistR_SetDriveMode(uint8 mode) ;
uint8   PResistR_ReadDataReg(void) ;
uint8   PResistR_Read(void) ;
uint8   PResistR_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PResistR_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PResistR_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PResistR_DM_RES_UP          PIN_DM_RES_UP
#define PResistR_DM_RES_DWN         PIN_DM_RES_DWN
#define PResistR_DM_OD_LO           PIN_DM_OD_LO
#define PResistR_DM_OD_HI           PIN_DM_OD_HI
#define PResistR_DM_STRONG          PIN_DM_STRONG
#define PResistR_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PResistR_MASK               PResistR__MASK
#define PResistR_SHIFT              PResistR__SHIFT
#define PResistR_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PResistR_PS                     (* (reg8 *) PResistR__PS)
/* Data Register */
#define PResistR_DR                     (* (reg8 *) PResistR__DR)
/* Port Number */
#define PResistR_PRT_NUM                (* (reg8 *) PResistR__PRT) 
/* Connect to Analog Globals */                                                  
#define PResistR_AG                     (* (reg8 *) PResistR__AG)                       
/* Analog MUX bux enable */
#define PResistR_AMUX                   (* (reg8 *) PResistR__AMUX) 
/* Bidirectional Enable */                                                        
#define PResistR_BIE                    (* (reg8 *) PResistR__BIE)
/* Bit-mask for Aliased Register Access */
#define PResistR_BIT_MASK               (* (reg8 *) PResistR__BIT_MASK)
/* Bypass Enable */
#define PResistR_BYP                    (* (reg8 *) PResistR__BYP)
/* Port wide control signals */                                                   
#define PResistR_CTL                    (* (reg8 *) PResistR__CTL)
/* Drive Modes */
#define PResistR_DM0                    (* (reg8 *) PResistR__DM0) 
#define PResistR_DM1                    (* (reg8 *) PResistR__DM1)
#define PResistR_DM2                    (* (reg8 *) PResistR__DM2) 
/* Input Buffer Disable Override */
#define PResistR_INP_DIS                (* (reg8 *) PResistR__INP_DIS)
/* LCD Common or Segment Drive */
#define PResistR_LCD_COM_SEG            (* (reg8 *) PResistR__LCD_COM_SEG)
/* Enable Segment LCD */
#define PResistR_LCD_EN                 (* (reg8 *) PResistR__LCD_EN)
/* Slew Rate Control */
#define PResistR_SLW                    (* (reg8 *) PResistR__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PResistR_PRTDSI__CAPS_SEL       (* (reg8 *) PResistR__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PResistR_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PResistR__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PResistR_PRTDSI__OE_SEL0        (* (reg8 *) PResistR__PRTDSI__OE_SEL0) 
#define PResistR_PRTDSI__OE_SEL1        (* (reg8 *) PResistR__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PResistR_PRTDSI__OUT_SEL0       (* (reg8 *) PResistR__PRTDSI__OUT_SEL0) 
#define PResistR_PRTDSI__OUT_SEL1       (* (reg8 *) PResistR__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PResistR_PRTDSI__SYNC_OUT       (* (reg8 *) PResistR__PRTDSI__SYNC_OUT) 


#if defined(PResistR__INTSTAT)  /* Interrupt Registers */

    #define PResistR_INTSTAT                (* (reg8 *) PResistR__INTSTAT)
    #define PResistR_SNAP                   (* (reg8 *) PResistR__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PResistR_H */


/* [] END OF FILE */
