/*******************************************************************************
* File Name: PullupL.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PullupL_H) /* Pins PullupL_H */
#define CY_PINS_PullupL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PullupL_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PullupL__PORT == 15 && ((PullupL__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PullupL_Write(uint8 value) ;
void    PullupL_SetDriveMode(uint8 mode) ;
uint8   PullupL_ReadDataReg(void) ;
uint8   PullupL_Read(void) ;
uint8   PullupL_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PullupL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PullupL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PullupL_DM_RES_UP          PIN_DM_RES_UP
#define PullupL_DM_RES_DWN         PIN_DM_RES_DWN
#define PullupL_DM_OD_LO           PIN_DM_OD_LO
#define PullupL_DM_OD_HI           PIN_DM_OD_HI
#define PullupL_DM_STRONG          PIN_DM_STRONG
#define PullupL_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PullupL_MASK               PullupL__MASK
#define PullupL_SHIFT              PullupL__SHIFT
#define PullupL_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PullupL_PS                     (* (reg8 *) PullupL__PS)
/* Data Register */
#define PullupL_DR                     (* (reg8 *) PullupL__DR)
/* Port Number */
#define PullupL_PRT_NUM                (* (reg8 *) PullupL__PRT) 
/* Connect to Analog Globals */                                                  
#define PullupL_AG                     (* (reg8 *) PullupL__AG)                       
/* Analog MUX bux enable */
#define PullupL_AMUX                   (* (reg8 *) PullupL__AMUX) 
/* Bidirectional Enable */                                                        
#define PullupL_BIE                    (* (reg8 *) PullupL__BIE)
/* Bit-mask for Aliased Register Access */
#define PullupL_BIT_MASK               (* (reg8 *) PullupL__BIT_MASK)
/* Bypass Enable */
#define PullupL_BYP                    (* (reg8 *) PullupL__BYP)
/* Port wide control signals */                                                   
#define PullupL_CTL                    (* (reg8 *) PullupL__CTL)
/* Drive Modes */
#define PullupL_DM0                    (* (reg8 *) PullupL__DM0) 
#define PullupL_DM1                    (* (reg8 *) PullupL__DM1)
#define PullupL_DM2                    (* (reg8 *) PullupL__DM2) 
/* Input Buffer Disable Override */
#define PullupL_INP_DIS                (* (reg8 *) PullupL__INP_DIS)
/* LCD Common or Segment Drive */
#define PullupL_LCD_COM_SEG            (* (reg8 *) PullupL__LCD_COM_SEG)
/* Enable Segment LCD */
#define PullupL_LCD_EN                 (* (reg8 *) PullupL__LCD_EN)
/* Slew Rate Control */
#define PullupL_SLW                    (* (reg8 *) PullupL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PullupL_PRTDSI__CAPS_SEL       (* (reg8 *) PullupL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PullupL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PullupL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PullupL_PRTDSI__OE_SEL0        (* (reg8 *) PullupL__PRTDSI__OE_SEL0) 
#define PullupL_PRTDSI__OE_SEL1        (* (reg8 *) PullupL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PullupL_PRTDSI__OUT_SEL0       (* (reg8 *) PullupL__PRTDSI__OUT_SEL0) 
#define PullupL_PRTDSI__OUT_SEL1       (* (reg8 *) PullupL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PullupL_PRTDSI__SYNC_OUT       (* (reg8 *) PullupL__PRTDSI__SYNC_OUT) 


#if defined(PullupL__INTSTAT)  /* Interrupt Registers */

    #define PullupL_INTSTAT                (* (reg8 *) PullupL__INTSTAT)
    #define PullupL_SNAP                   (* (reg8 *) PullupL__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PullupL_H */


/* [] END OF FILE */
