/*******************************************************************************
* File Name: PullupR.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PullupR_H) /* Pins PullupR_H */
#define CY_PINS_PullupR_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PullupR_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PullupR__PORT == 15 && ((PullupR__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PullupR_Write(uint8 value) ;
void    PullupR_SetDriveMode(uint8 mode) ;
uint8   PullupR_ReadDataReg(void) ;
uint8   PullupR_Read(void) ;
uint8   PullupR_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PullupR_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PullupR_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PullupR_DM_RES_UP          PIN_DM_RES_UP
#define PullupR_DM_RES_DWN         PIN_DM_RES_DWN
#define PullupR_DM_OD_LO           PIN_DM_OD_LO
#define PullupR_DM_OD_HI           PIN_DM_OD_HI
#define PullupR_DM_STRONG          PIN_DM_STRONG
#define PullupR_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PullupR_MASK               PullupR__MASK
#define PullupR_SHIFT              PullupR__SHIFT
#define PullupR_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PullupR_PS                     (* (reg8 *) PullupR__PS)
/* Data Register */
#define PullupR_DR                     (* (reg8 *) PullupR__DR)
/* Port Number */
#define PullupR_PRT_NUM                (* (reg8 *) PullupR__PRT) 
/* Connect to Analog Globals */                                                  
#define PullupR_AG                     (* (reg8 *) PullupR__AG)                       
/* Analog MUX bux enable */
#define PullupR_AMUX                   (* (reg8 *) PullupR__AMUX) 
/* Bidirectional Enable */                                                        
#define PullupR_BIE                    (* (reg8 *) PullupR__BIE)
/* Bit-mask for Aliased Register Access */
#define PullupR_BIT_MASK               (* (reg8 *) PullupR__BIT_MASK)
/* Bypass Enable */
#define PullupR_BYP                    (* (reg8 *) PullupR__BYP)
/* Port wide control signals */                                                   
#define PullupR_CTL                    (* (reg8 *) PullupR__CTL)
/* Drive Modes */
#define PullupR_DM0                    (* (reg8 *) PullupR__DM0) 
#define PullupR_DM1                    (* (reg8 *) PullupR__DM1)
#define PullupR_DM2                    (* (reg8 *) PullupR__DM2) 
/* Input Buffer Disable Override */
#define PullupR_INP_DIS                (* (reg8 *) PullupR__INP_DIS)
/* LCD Common or Segment Drive */
#define PullupR_LCD_COM_SEG            (* (reg8 *) PullupR__LCD_COM_SEG)
/* Enable Segment LCD */
#define PullupR_LCD_EN                 (* (reg8 *) PullupR__LCD_EN)
/* Slew Rate Control */
#define PullupR_SLW                    (* (reg8 *) PullupR__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PullupR_PRTDSI__CAPS_SEL       (* (reg8 *) PullupR__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PullupR_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PullupR__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PullupR_PRTDSI__OE_SEL0        (* (reg8 *) PullupR__PRTDSI__OE_SEL0) 
#define PullupR_PRTDSI__OE_SEL1        (* (reg8 *) PullupR__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PullupR_PRTDSI__OUT_SEL0       (* (reg8 *) PullupR__PRTDSI__OUT_SEL0) 
#define PullupR_PRTDSI__OUT_SEL1       (* (reg8 *) PullupR__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PullupR_PRTDSI__SYNC_OUT       (* (reg8 *) PullupR__PRTDSI__SYNC_OUT) 


#if defined(PullupR__INTSTAT)  /* Interrupt Registers */

    #define PullupR_INTSTAT                (* (reg8 *) PullupR__INTSTAT)
    #define PullupR_SNAP                   (* (reg8 *) PullupR__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PullupR_H */


/* [] END OF FILE */
