/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

int main()
{
    CyGlobalIntEnable; /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    PWM_1_Start(); // Start the PWM Block
    
    ADC_Start(); // Start the ADC Block
    ADC_StartConvert(); // Begin converting analog values to digital values
    
    for(;;)
    {
        int16 pot = ADC_GetResult16(0); // Get potentiometer digital value    
        float32 pot_volts = ADC_CountsTo_Volts(pot); // Convert to volts
        uint8 pot_speed = (uint8)(255 * pot_volts / 5.0); // Convert to number between 0 and 255
        
        int16 light_l = ADC_GetResult16(1); // Get left photoresistor digital value
        int16 light_r = ADC_GetResult16(2); // Get right photoresistor digital value
        float32 light_l_v = ADC_CountsTo_Volts(light_l); // Convert to volts
        light_l_v = light_l_v - 0.1; // Subtract (or Add) offset voltage
        float32 light_r_v = ADC_CountsTo_Volts(light_r); // Convert to volts
        float32 light_diff = light_l_v - light_r_v;
        
        #define ABS(x) ((x < 0) ? -x : x) // Absolute value function
        if (ABS(light_diff) < 0.5) light_diff = 0; // Add a deadzone to the photoresistors
        
        uint8 k_l = 0, k_r = 0; // Left and right motor modifiers
        float32 GAIN = 40.0; // Gain multiplier for difference
        uint8 TRIM = 5; // Compensation for physical motor differences
        
        if (light_diff < 0) { // More light on left side
            k_l = (uint8)(light_diff * GAIN * -1); // set left modifier
            k_l = (k_l > pot_speed) ? pot_speed : k_l; // limit to pot_speed
        } else if (light_diff > 0) { // More light on right side
            k_r = (uint8)(light_diff * GAIN); // set right modifier
            k_r = (k_r > pot_speed - TRIM) ? pot_speed - TRIM : k_r; // limit to pot_speed
        }
        
        uint8 drive_l = pot_speed - k_l; // Set Left motor speed value
        uint8 drive_r = (pot_speed - k_r >= TRIM) ? pot_speed - k_r - TRIM : 0;
        
        if (light_l_v > 1.6 && light_r_v > 1.6) { 
            drive_l = 0; drive_r = 0; // Turn off motors if no light present
        }
        
        PWM_1_WriteCompare1(drive_l); // Update PWM compare value
        PWM_1_WriteCompare2(drive_r); // Update PWM compare value
    }
}

/* [] END OF FILE */
